Package csb :: Package statistics :: Package samplers :: Package mc :: Module singlechain :: Class NCMCProposalCommunicator

[frames] | no frames]

# Class NCMCProposalCommunicator

source code

                    object --+
                             |
    SimpleProposalCommunicator --+
                                 |
                                NCMCProposalCommunicator

Holds all information (that is, the trajectory with heat, work, Hamiltonian difference and jacbian) needed to calculate the acceptance probability in the AbstractNCMCSampler class.

Nested Classes
Inherited from `SimpleProposalCommunicator`: `__metaclass__`

Instance Methods

__init__(self, traj) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `SimpleProposalCommunicator`: `__abstractmethods__`

Properties
Inherited from `SimpleProposalCommunicator`: `current_state`, `proposal_state` Inherited from `object`: `__class__`

Method Details

### __init__(self, traj)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `traj` (NCMCTrajectory) - Non-equilibrium trajectory stemming from a stepwise protocol
Overrides: object.__init__
  (inherited documentation)